#ifndef MDLEXPORT_H
#define MDLEXPORT_H

#include "md3tomdl.h"
#include "md3import.h" //needs md3 classes for export function declaration
#include "pcxload.h"//needs skin class for export function declaration
#include "textparse.h"

struct q1_header 
{
	int32_t ident;            /* magic number: "IDPO" */
	int32_t version;          /* version: 6 */

	float scale[3];         /* scale factor */
	float translate[3];     /* translation vector */
	float boundingradius;
	float eyeposition[3];   /* eyes' position */

	int32_t num_skins;        /* number of textures */
	int32_t skinwidth;        /* texture width */
	int32_t skinheight;       /* texture height */

	int32_t num_verts;        /* number of vertices */
	int32_t num_tris;         /* number of triangles */
	int32_t num_frames;       /* number of frames */

	int32_t synctype;         /* 0 = synchron, 1 = random */
	int32_t flags;            /* state flag */
	float size;
};
void export_to_mdl(std::ofstream& mdlfile, q3_model& q3mdl, skin& q1skin, options settings);
#endif